Update a template
PATCH
/templates/{id}授权
AuthorizationBearer 令牌 · header必填A BillionSend API key (bs_…).
路径参数
idstring必填Template id or alias
最小长度 1
请求体
application/jsonnamestring最小长度 1 · 最大长度 200
subjectstring | null"" or null clears the subject
最大长度 998
htmlstring最小长度 1 · 最大长度 500000
textstring | null最大长度 500000
aliasstring | nullnull clears the alias
最小长度 1 · 最大长度 100 · 匹配 ^[A-Za-z0-9][A-Za-z0-9._-]*$
fromstring | nullNot supported: any value is a 422
reply_tostring | string[] | nullNot supported: any value is a 422
显示属性隐藏属性
任意项:
string
stringstring[]
string 数组stringnull
nullvariablesany[]Not supported: a non-empty list is a 422
响应
200
Template updated (live immediately)
objectstring必填允许值:
templateidstring<uuid>必填401
Missing, malformed, unknown or revoked API key
statusCodenumber必填namestring必填messagestring必填404
Not found
statusCodenumber必填namestring必填messagestring必填409
Alias already in use
statusCodenumber必填namestring必填messagestring必填422
Validation error, including from/reply_to/variables (not supported)
statusCodenumber必填namestring必填messagestring必填429
Over the rate limit (rate_limit_exceeded, with Retry-After)
statusCodenumber必填namestring必填messagestring必填